WPS Office - Corrigindo erro ao abrir [Falha de segmentação (imagem do núcleo gravada)]

Publicado por Lucas Alves Santos em 03/11/2017

[ Hits: 2.739 ]

 


WPS Office - Corrigindo erro ao abrir [Falha de segmentação (imagem do núcleo gravada)]



Fala, galera.

Recentemente, fiz a instalação do WPS Office no meu Xubuntu e me deparei com um erro bem estranho. A principio achei que poderia ser algum pacote que foi mal instalado, fiz a remoção completa do WPS e o reinstalei, porém o erro persistiu.

Abaixo, o erro que obtive ao abrir:

sudo wps
/usr/bin/wps: linha 38: 19729 Falha de segmentação  (imagem do núcleo gravada) ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"

Dei uma bela de uma pesquisada pela internet e, por mais que eu encontrasse pessoas que tiveram erros semelhantes, não encontrei nenhuma solução, então comecei a fuçar aqui e descobri o problema. Chega de papo, vamos à solução!

Passos

1. Acontece que o WPS utiliza o GTK+ como padrão e provavelmente seu sistema não está usando ele, então precisamos revolver isso. Primeiramente, instale o qtconfig:

sudo apt-get install qt4-qtconfig

2. Abra o qtconfig como root, para isso:

sudo qtconfig

3. Na aba "Appearance", troque o "GUI Style" para GTK+:
Linux: WPS Office - Corrigindo erro ao abrir [ Falha de segmentação (imagem do núcleo gravada) ]
Pronto, agora basta abrir o WPS.

Outras dicas deste autor

Instalando no PlayonLinux a versão do Wine compatível com League of Legends

Limpando pacotes órfãos e desnecessários com o deborphan

Como transformar a entrada de microfone em entrada para fone de ouvido

Saudades do After Effects? Instale o Natron como alternativa

Meu Ubuntu não desliga, fica reiniciando - Veja como resolver esse problema!

Leitura recomendada

Instalando o pacote ZEOS Access no Lazarus 0.9.24

Explorando e resolvendo vulnerabilidade local no kernel Linux

Rapidinha com o squid, iptables, sarg, samba e apache

Onde aprendi a programar

Criando um usuário com o poder de root

  

Comentários
[1] Comentário enviado por wdsf em 23/07/2018 - 16:13h

Tenho o mesmo problema.
Utilizo o Linux Mint 19, fiz o seu procedimento e resolveu em parte o problema.
Para poder usar o WPS só abrindo pelo terminal.

[2] Comentário enviado por dorta em 27/07/2018 - 22:39h


[1] Comentário enviado por wdsf em 23/07/2018 - 16:13h

Tenho o mesmo problema.
Utilizo o Linux Mint 19, fiz o seu procedimento e resolveu em parte o problema.
Para poder usar o WPS só abrindo pelo terminal.


No Debian só funcionou rodando qtconfig com o usuário comum e não com o root.

[3] Comentário enviado por isaacangello em 29/07/2018 - 16:54h

No Debian 9.5 funcionou, com o comando "qtconfig-qt4" rodando ele como root sem as aspas,e ele pede algumas fontes, a mensagem e algo parecido com isso, "Symbol fonts required by wps-office."
catei as fontes manualmente e fiz um script de po´s instalaçao que atualiza o cache das fontes

https://drive.google.com/open?id=1hgZZQSWBITTLkcYoSTqiJuVqcrXXBKEF

[4] Comentário enviado por bragax em 02/09/2018 - 22:30h

No Debian só funcionou rodando qtconfig com o usuário comum e não com o root também.



Contribuir com comentário